﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <MinimumVisualStudioVersion>10.0</MinimumVisualStudioVersion>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{BBD6742E-E22D-4ABB-896D-C9A12E69CFFA}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MyADA.Common.ViewModels</RootNamespace>
    <AssemblyName>MyADA.Common.ViewModels</AssemblyName>
    <DefaultLanguage>en-US</DefaultLanguage>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{786C830F-07A1-408B-BD7F-6EE04809D6DB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <TargetFrameworkProfile>Profile259</TargetFrameworkProfile>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\</SolutionDir>
    <RestorePackages>true</RestorePackages>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <!-- A reference to the entire .NET Framework is automatically included -->
    <ProjectReference Include="..\CoreSDK\CoreSDK.MicroFramework\CoreSDK.MicroFramework\CoreSDK.MicroFramework.csproj">
      <Project>{371cfa36-6487-4453-bf52-2b8fe5c00278}</Project>
      <Name>CoreSDK.MicroFramework</Name>
    </ProjectReference>
    <ProjectReference Include="..\MyADA.Common.Services\MyADA.Common.DAOServices.csproj">
      <Project>{e178ea10-28cf-4082-b312-58599cbd464a}</Project>
      <Name>MyADA.Common.DAOServices</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BurgerViewModel.code-behind.cs">
      <DependentUpon>BurgerViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="BurgerViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>BurgerViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="Constants\Constants.cs" />
    <Compile Include="Constants\ViewName.cs" />
    <Compile Include="ContextViewModel.code-behind.cs">
      <DependentUpon>ContextViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="ContextViewModel1.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>ContextViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="Helper\ToolsBox.cs" />
    <Compile Include="HomeViewModel.code-behind.cs">
      <DependentUpon>HomeViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="HomeViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>HomeViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="Interfaces\ILeadViewModel.cs" />
    <Compile Include="Interfaces\IHomeViewModel.cs" />
    <Compile Include="Interfaces\ILoginViewModel.cs" />
    <Compile Include="Initializer.cs" />
    <Compile Include="Interfaces\IBurgerViewModel.cs" />
    <Compile Include="Interfaces\IContextViewModel.cs" />
    <Compile Include="Interfaces\ISettingsViewModel.cs" />
    <Compile Include="ItemsViewModel\DomainOfActionViewModelItem.code-behind.cs">
      <DependentUpon>DomainOfActionViewModelItem.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\DomainOfActionViewModelItem.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>DomainOfActionViewModelItem.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\LeadsInfosItemViewModel.code-behind.cs">
      <DependentUpon>LeadsInfosItemViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\LeadsInfosItemViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LeadsInfosItemViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\LeadsItemViewModel.code-behind.cs">
      <DependentUpon>LeadsItemViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\LeadsItemViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LeadsItemViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\RichMessageItem.code-behind.cs">
      <DependentUpon>RichMessageItem.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\RichMessageItem.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RichMessageItem.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\RssFeedItemViewModel.code-behind.cs">
      <DependentUpon>RssFeedItemViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="ItemsViewModel\RssFeedItemViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RssFeedItemViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="LeadViewModel.code-behind.cs">
      <DependentUpon>LeadViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="LeadViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LeadViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="LoginViewModel.code-behind.cs">
      <DependentUpon>LoginViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="LoginViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LoginViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Resources.ko-KR.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.ko-KR.resx</DependentUpon>
    </Compile>
    <Compile Include="SettingsViewModel.code-behind.cs">
      <DependentUpon>SettingsViewModel.xml</DependentUpon>
    </Compile>
    <Compile Include="SettingsViewModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SettingsViewModel.xml</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Include="BurgerViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>BurgerViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="ContextViewModel.xml">
      <Generator>Maximus</Generator>
      <LastGenOutput>ContextViewModel1.cs</LastGenOutput>
    </Content>
    <Content Include="HomeViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>HomeViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="ItemsViewModel\DomainOfActionViewModelItem.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>DomainOfActionViewModelItem.cs</LastGenOutput>
    </Content>
    <Content Include="ItemsViewModel\LeadsInfosItemViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>LeadsInfosItemViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="ItemsViewModel\LeadsItemViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>LeadsItemViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="ItemsViewModel\RichMessageItem.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>RichMessageItem.cs</LastGenOutput>
    </Content>
    <Content Include="ItemsViewModel\RssFeedItemViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>RssFeedItemViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="LeadViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>LeadViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="LoginViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>LoginViewModel.cs</LastGenOutput>
    </Content>
    <Content Include="SettingsViewModel.xml">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>SettingsViewModel.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.ko-KR.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.ko-KR.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\packages\Newtonsoft.Json.9.0.1\lib\portable-net45+wp80+win8+wpa81\Newtonsoft.Json.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\Portable\$(TargetFrameworkVersion)\Microsoft.Portable.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>